@echo off
call ..\DefineVersions.bat
call ..\NET1.bat

cd Utils
%resgen% LocalizationRes.el.resx
%al% /out:..\el\DevExpress.Utils.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:el /embed:LocalizationRes.el.resources,LocalizationRes.el.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraEditors
%resgen% LocalizationRes.el.resx
%al% /out:..\el\DevExpress.XtraEditors.%VER_DLL%.Resources.dll /v:%VER_EDITORS% /culture:el /embed:LocalizationRes.el.resources,DevExpress.XtraEditors.LocalizationRes.el.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraGrid
%resgen% LocalizationRes.el.resx
%resgen% CardViewPrinting.el.resx
%resgen% GridViewPrinting.el.resx
%al% /out:..\el\DevExpress.XtraGrid.%VER_DLL%.Resources.dll /v:%VER_GRID% /culture:el /embed:LocalizationRes.el.resources,DevExpress.XtraGrid.LocalizationRes.el.resources /embed:CardViewPrinting.el.resources,DevExpress.XtraGrid.Frames.CardViewPrinting.el.resources /embed:GridViewPrinting.el.resources,DevExpress.XtraGrid.Frames.GridViewPrinting.el.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraPivotGrid
%resgen% LocalizationRes.el.resx
%al% /out:..\el\DevExpress.XtraPivotGrid.%VER_DLL%.Core.Resources.dll /v:%VER_PIVOT% /culture:el /embed:LocalizationRes.el.resources,DevExpress.XtraPivotGrid.LocalizationRes.el.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraPrinting
%resgen% ComponentEditorForm.el.resx
%resgen% LocalizationRes.el.resx
%resgen% HeaderFooterForm.el.resx
%resgen% WatermarkEditorForm.el.resx
%al% /out:..\el\DevExpress.XtraPrinting.%VER_DLL%.Resources.dll /v:%VER_PSYS% /culture:el /embed:ComponentEditorForm.el.resources,DevExpress.XtraPrinting.ComponentEditorForm.el.resources /embed:LocalizationRes.el.resources,LocalizationRes.el.resources /embed:HeaderFooterForm.el.resources,DevExpress.XtraPrinting.Native.WinControls.HeaderFooterForm.el.resources /embed:WatermarkEditorForm.el.resources,DevExpress.XtraPrinting.Native.WinControls.WatermarkEditorForm.el.resources /keyfile:%KEYFILE%
del *.resources
cd..

call ..\NET2.bat

cd XtraReports
%resgen% LocalizationRes.el.resx
%resgen% SearchDialog.el.resx
%resgen% SummaryEditorForm.el.resx
%resgen% WizPageChooseFields.el.resx
%resgen% WizPageConnection.el.resx
%resgen% WizPageDataset.el.resx
%resgen% WizPageGroupedLayout.el.resx
%resgen% WizPageGrouping.el.resx
%resgen% WizPageLabelOptions.el.resx
%resgen% WizPageLabelType.el.resx
%resgen% WizPageLayoutBase.el.resx
%resgen% WizPageReportTitle.el.resx
%resgen% WizPageStyle.el.resx
%resgen% WizPageSummary.el.resx
%resgen% WizPageTables.el.resx
%resgen% WizPageUngroupedLayout.el.resx
%resgen% WizPageWelcome.el.resx
%resgen% WizPreviewControl.el.resx
%resgen% XRDesignForm.el.resx
%resgen% XRDesignFormEx.el.resx
%resgen% XtraReportWizardForm.el.resx
%al% /out:..\el\DevExpress.XtraReports.%VER_DLL%.Resources.dll /v:%VER_REPORTS% /culture:el /embed:LocalizationRes.el.resources,LocalizationRes.el.resources  /embed:SearchDialog.el.resources,DevExpress.XtraReports.Native.SearchDialog.el.resources /embed:SummaryEditorForm.el.resources,DevExpress.XtraReports.Design.SummaryEditorForm.el.resources /embed:WizPageChooseFields.el.resources,DevExpress.XtraReports.Design.WizPageChooseFields.el.resources /embed:WizPageConnection.el.resources,DevExpress.XtraReports.Design.WizPageConnection.el.resources /embed:WizPageDataset.el.resources,DevExpress.XtraReports.Design.WizPageDataset.el.resources /embed:WizPageGroupedLayout.el.resources,DevExpress.XtraReports.Design.WizPageGroupedLayout.el.resources /embed:WizPageGrouping.el.resources,DevExpress.XtraReports.Design.WizPageGrouping.el.resources /embed:WizPageLabelOptions.el.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.el.resources /embed:WizPageLabelType.el.resources,DevExpress.XtraReports.Design.WizPageLabelType.el.resources /embed:WizPageLayoutBase.el.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.el.resources /embed:WizPageReportTitle.el.resources,DevExpress.XtraReports.Design.WizPageReportTitle.el.resources /embed:WizPageStyle.el.resources,DevExpress.XtraReports.Design.WizPageStyle.el.resources /embed:WizPageSummary.el.resources,DevExpress.XtraReports.Design.WizPageSummary.el.resources /embed:WizPageTables.el.resources,DevExpress.XtraReports.Design.WizPageTables.el.resources /embed:WizPageUngroupedLayout.el.resources,DevExpress.XtraReports.Design.WizPageUngroupedLayout.el.resources /embed:WizPageWelcome.el.resources,DevExpress.XtraReports.Design.WizPageWelcome.el.resources /embed:WizPreviewControl.el.resources,DevExpress.XtraReports.Design.PreviewControl.el.resources /embed:XRDesignForm.el.resources,DevExpress.XtraReports.UserDesigner.XRDesignFormBase.el.resources /embed:XRDesignFormEx.el.resources,DevExpress.XtraReports.UserDesigner.XRDesignFormExBase.el.resources /embed:XtraReportWizardForm.el.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.el.resources /keyfile:%KEYFILE%
del *.resources
cd..
